POST
/
v1
/
video
/
generate
/
frames
curl --request POST \
  --url https://geoff.ai/api/v1/video/generate/frames \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "start_frame": "base64-start-image",
    "end_frame": "base64-end-image",
    "prompt": "Smooth transition between scenes",
    "duration": 5
  }'
{
  "data": {
    "task_id": "task_vid_ghi789",
    "status": "processing"
  }
}

Authorization

Authorization
string
required
Bearer token. Bearer API_key.

Request Body

start_frame
string
required
Base64-encoded image or file ID for the start frame.
end_frame
string
required
Base64-encoded image or file ID for the end frame.
prompt
string
Text description to guide the transition.
duration
integer
Video duration in seconds. Default: 5.
curl --request POST \
  --url https://geoff.ai/api/v1/video/generate/frames \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "start_frame": "base64-start-image",
    "end_frame": "base64-end-image",
    "prompt": "Smooth transition between scenes",
    "duration": 5
  }'
{
  "data": {
    "task_id": "task_vid_ghi789",
    "status": "processing"
  }
}